* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
}
html{
  font-size:16px;
}
.wrap {
  margin: 10px auto;
  position: relative;
  max-width: 100vh;
  max-height: 100vh;
  min-width: 480px;
  min-height: 480px;
  display: flex;
  flex-wrap: wrap;
  align-content: space-between;
  justify-content: space-between;
}

.note {
  /*position: absolute;*/
  border: 2px solid #ccc;
  background: white;
  padding: 10px;
  box-shadow: 0 0 5px #999;
  z-index: 2;
  font-size: 1rem;
  width: 100%;
  height: 30vh;
  position: relative;
}
.note ul{
  list-style-type: none;
  width:90%;
  display:flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  margin:auto;
}
.note ul li{
  width:8.5vh;
  height:8.5vh;
  display:inline-block;
  text-align: center;
}
.note ul li img{
  width:100%;
}
.note h1{
  text-align:center;
  font-size:3rem;
  line-height:55px;
  margin:5px 0;
}
.note h3{
  text-align:center;
  font-size:1.5rem;
  line-height:30px;
  margin:5px 0;
}
.note h4{
  text-align:center;
  font-size:1.2rem;
  margin:10px 0 10px 0;
}


#q1,
#q2,
#q3,
#q4 {
  display: inline-block;
  width: 48%;
  height: 30vh;
}

#q1 {
  background: url('../material/b01.png'), rgba(220, 220, 220, 0.9);
  background-size: cover;
  background-position: center;
  background-clip: border-box;
}

#q2 {
  background: url('../material/b02.png'), rgba(220, 220, 220, 0.9);
  background-size: cover;
  background-position: center;
  background-clip: border-box;
}

#q3 {
  background: url('../material/b03.png'), rgba(220, 220, 220, 0.9);
  background-size: cover;
  background-position: center;
  background-clip: border-box;
}

#q4 {
  background: url('../material/b04.png'), rgba(220, 220, 220, 0.9);
  background-size: cover;
  background-position: center;
  background-clip: border-box;
}

.quizbox {
  background: rgba(0, 0, 0, 0.7);
  width: 100%;
  height: 100%;
  color: white;
  text-align: center;
  padding-top:12%;
}

.lightbox {
  margin: 1%;
  position: relative;
  box-shadow: 0 0 5px #999;
  border: 1px solid #ccc;
  z-index: 1;
}

.quizbox .title {
 height:20%;
  font-weight: bolder;
  font-size:1.3rem;
}
.quizbox .title h4{
  font-size:1rem;
  font-weight:normal;
}
.quizbox .level{
  width:50%;
  margin:5% auto;
  text-align: left;
}
.quizbox .level,.front-end,.back-end{
  font-size:1.1rem;
  font-weight:normal;
  position: relative;
  display:block;
}
.front-end,.back-end{
  height:30px;
  line-height:28px;
}
.stars,.hard{
  position: absolute;
  display:inline-flex;
  width:100px;
  text-align: left;
  font-size:1.6rem;
  font-family: 'Courier New';
  justify-content: space-between;
  text-shadow: 0 0 1px #555;
}
.hard{
  overflow: hidden;
  color:yellow;
}
.quizbox .navbtn {
  position: absolute;
  bottom: 15px;
  text-align: center;
  width: 100%;
}

.quizbox .navbtn button {
  padding: 10px 20px;
  font-size: 1rem;
  margin: 0 20px;
  border: 0;
  border-radius: 15px;
  background:limegreen;
  text-shadow: 0 0 2px green;

}

button a {
  text-decoration: none;
  color:white;
}

.quizbox .navbtn button:hover{
  background:green;
}

.email {
  padding: 10px;
  display: block;
  bottom: 5px;
  position: absolute;
  background: white;
  border: none;
  color: blue;
  cursor: pointer;
}

@media screen and (max-height:768px) and (min-height:641px) and (min-aspect-ratio:1/1){
  html{
    font-size:16px;
  }
  .note h1{
    text-align:center;
    font-size:2rem;
    line-height:40px;
    margin:5px 0;
  }
  .note h3{
    text-align:center;
    font-size:1.2rem;
    line-height:25px;
    margin:5px 0;
  }
  .note h4{
    text-align:center;
    font-size:1rem;
    margin:10px 0 10px 0;
  }
  .quizbox .title {
     height:20%;
     font-size:1.1rem;
   }
   .quizbox .title h4{
     font-size:0.9rem;
   }  
   .front-end,.back-end{
     font-size:1rem;
   }
   .stars,.hard{
    font-size:1.4rem;
   }
  .quizbox .navbtn {
    bottom: 10px;
  }
  
  .quizbox .navbtn button {
    padding: 5px 10px;
    font-size: 1rem;
    margin: 0 15px;
    border-radius: 15px;
  }
}
@media screen and (max-height:640px) and (min-height:481px) and (min-aspect-ratio:1/1){
  html{
    font-size:14px;
  }
  .wrap{
    margin:0 auto;
  }
  .note{
    padding:5px;
  }
  .note h1{
    text-align:center;
    font-size:2rem;
    line-height:25px;
    margin:5px 0;
  }
  .note h3{
    text-align:center;
    font-size:1.1rem;
    line-height:20px;
    margin:5px 0;
  }
  .note h4{
    text-align:center;
    font-size:1rem;
    margin:5px 0;
  }
  .quizbox{
    padding-top:20px;
  }
  .quizbox .title {

     font-size:1rem;
   }
   .quizbox .title h4{
     font-size:0.85rem;
   }  
   .quizbox .level{
    margin:20px auto 0 auto;
   }
   .front-end,.back-end{
     font-size:1rem;
     height:20px;
     line-height:18px;
   }
   .stars,.hard{
    font-size:1.2rem;
   }
  .quizbox .navbtn {
    bottom: 5px;
  }
  
  .quizbox .navbtn button {
    padding: 5px 10px;
    font-size: 0.85rem;
    margin: 0 10px;
    border-radius: 15px;
  }
#q1,
#q2,
#q3,
#q4 {
  display: inline-block;
  width: 48%;
  height: 33vh;
}

}

@media screen and (max-height:480px) and (min-aspect-ratio:1/1){
  html{
    font-size:12px;
  }
  .wrap{
    margin:0 auto;
    min-width: 311px;
    min-height: 311px;
  }
  .note{
    padding:0px;
  }
  .note h1{
    text-align:center;
    font-size:1.9rem;
    line-height:20px;
    margin:5px 0;
  }
  .note h3{
    text-align:center;
    font-size:1rem;
    line-height:18px;
    margin:3px 0;
  }
  .note h4{
    text-align:center;
    font-size:0.9rem;
    margin:5px 0;
  }
  .quizbox{
    padding-top:15px;
  }
  .quizbox .title {
     font-size:1.1rem;
   }
   .quizbox .title h4{
     font-size:1rem;
   }  
   .quizbox .level{
    margin:25px auto 0 auto;
   }
   .front-end,.back-end{
     font-size:1rem;
     height:16px;
     line-height:16px;
   }
   .stars,.hard{
    font-size:1.2rem;
   }
  .quizbox .navbtn {
    bottom: 5px;
  }
  
  .quizbox .navbtn button {
    padding: 2px 6px;
    font-size: 1rem;
    margin: 0 10px;
    border-radius: 5px;
  }
#q1,
#q2,
#q3,
#q4 {
  display: inline-block;
  width: 48%;
  height: 33vh;
}

}
@media screen and (max-width:800px) and (min-width:721px) and (max-aspect-ratio:1/1){
html{
  font-size:16px;
}
  .wrap{
  max-width: 100vw;
  max-height: 100vw;
  margin:0 auto;
  min-width: 500px;
  min-height: 500px;
}
.note{
  padding:20px 0;
}
.note ul li{
  width:8.5vw;
  height:8.5vw;
}
.note ul li img{
  width:100%;
}
.note h1{
  text-align:center;
  font-size:3rem;
  line-height:50px;
  margin:20px 0;
}
.note h3{
  text-align:center;
  font-size:1.5rem;
  line-height:20px;
  margin:10px 0;
}
.note h4{
  text-align:center;
  font-size:1.2rem;
  margin:30px 0 10px 0;
}
.quizbox{
  padding-top:60px;
}
.quizbox .title {
   font-size:1.2rem;
   line-height:30px;
 }
 .quizbox .title h4{
   font-size:1rem;
 }  
 .quizbox .level{
  margin:40px auto 0 auto;
 }
 .front-end,.back-end{
   font-size:1.2rem;
   height:30px;
   line-height:28px;
 }
 .stars,.hard{
  font-size:1.5rem;
 }
.quizbox .navbtn {
  bottom: 30px;
}

.quizbox .navbtn button {
  padding: 5px 10px;
  font-size: 1.2rem;
  margin: 0 10px;
  border-radius: 15px;
}
#q1,
#q2,
#q3,
#q4 {
display: inline-block;
width: 48%;
height: 33vh;
}
}
@media screen and (max-width:720px) and (min-width:641px) and (max-aspect-ratio:1/1){
  html{
    font-size:16px;
  }
    .wrap{
    max-width: 100vw;
    max-height: 100vw;
    margin:0 auto;
    min-width: 500px;
    min-height: 500px;
  }
  .note{
    padding:20px 0;
  }
  .note ul li{
    width:8.5vw;
    height:8.5vw;
  }
  .note ul li img{
    width:100%;
  }
  .note h1{
    text-align:center;
    font-size:3rem;
    line-height:50px;
    margin:20px 0;
  }
  .note h3{
    text-align:center;
    font-size:1.5rem;
    line-height:20px;
    margin:10px 0;
  }
  .note h4{
    text-align:center;
    font-size:1.2rem;
    margin:30px 0 10px 0;
  }
  .quizbox{
    padding-top:60px;
  }
  .quizbox .title {
     font-size:1.1rem;
     line-height:30px;
   }
   .quizbox .title h4{
     font-size:0.95rem;
   }  
   .quizbox .level{
    margin:40px auto 0 auto;
   }
   .front-end,.back-end{
     font-size:1.2rem;
     height:30px;
     line-height:28px;
   }
   .stars,.hard{
    font-size:1.5rem;
   }
  .quizbox .navbtn {
    bottom: 30px;
  }
  
  .quizbox .navbtn button {
    padding: 5px 10px;
    font-size: 1.2rem;
    margin: 0 10px;
    border-radius: 15px;
  }
  #q1,
  #q2,
  #q3,
  #q4 {
  display: inline-block;
  width: 48%;
  height: 33vh;
  }
  }
  @media screen and (max-width:640px) and (max-aspect-ratio:1/1){
    html{
      font-size:14px;
    }
      .wrap{
      max-width: 100vw;
      max-height: 100vw;
      margin:0 auto;
      min-width: 500px;
      min-height: 500px;
    }
    .note{
      padding:20px 0;
    }
    .note ul li{
      width:8.5vw;
      height:8.5vw;
    }
    .note ul li img{
      width:100%;
    }
    .note h1{
      text-align:center;
      font-size:3rem;
      line-height:50px;
      margin:20px 0;
    }
    .note h3{
      text-align:center;
      font-size:1.5rem;
      line-height:20px;
      margin:10px 0;
    }
    .note h4{
      text-align:center;
      font-size:1.2rem;
      margin:40px 0 20px 0;
    }
    .quizbox{
      padding-top:60px;
    }
    .quizbox .title {
       font-size:1.2rem;
       line-height:30px;
     }
     .quizbox .title h4{
       font-size:0.95rem;
     }  
     .quizbox .level{
      margin:40px auto 0 auto;
     }
     .front-end,.back-end{
       font-size:1.2rem;
       height:30px;
       line-height:28px;
     }
     .stars,.hard{
      font-size:1.5rem;
     }
    .quizbox .navbtn {
      bottom: 30px;
    }
    
    .quizbox .navbtn button {
      padding: 5px 10px;
      font-size: 1.2rem;
      margin: 0 10px;
      border-radius: 15px;
    }
    #q1,
    #q2,
    #q3,
    #q4 {
    display: inline-block;
    width: 48%;
    height: 33vh;
    }
    }

    @media only screen and (min-width : 414px) and (max-width : 736px) and (orientation : portrait) {
      html{
        font-size:12px;
      }
        .wrap{
        max-width: 100vw;
        max-height: 100vw;
        margin:0 auto;
        min-width: 414px;
        min-height: 414px;
      }
      .note{
        padding:10px 0;
      }
      .note ul li{
        width:10vw;
        height:10vw;
      }
      .note ul li img{
        width:100%;
      }
      .note h1{
        text-align:center;
        font-size:3rem;
        line-height:30px;
        margin:10px 0;
      }
      .note h3{
        text-align:center;
        font-size:1.5rem;
        margin:10px 0;
      }
      .note h4{
        text-align:center;
        font-size:1.2rem;
        margin:30px 0 10px 0;
      }
      .quizbox{
        padding-top:60px;
      }
      .quizbox .title {
         font-size:1rem;
         line-height:20px;
       }
       .quizbox .title h4{
         font-size:1rem;
       }  
       .quizbox .level{
        margin:30px auto 0 auto;
       }
       .front-end,.back-end{
         font-size:1.2rem;
         height:25px;
         line-height:20px;
       }
       .stars,.hard{
        font-size:1.3rem;
       }
      .quizbox .navbtn {
        bottom: 20px;
      }
      
      .quizbox .navbtn button {
        padding: 5px 10px;
        font-size: 1rem;
        margin: 0 10px;
        border-radius: 12px;
      }
      #q1,
      #q2,
      #q3,
      #q4 {
      display: inline-block;
      width: 48%;
      height: 33vh;
      }
      }
      @media only screen and (min-width : 375px) and (max-width : 667px) and (orientation : portrait) {
        html{
          font-size:12px;
        }
          .wrap{
          max-width: 100vw;
          max-height: 100vw;
          margin:0 auto;
          min-width: 414px;
          min-height: 414px;
        }
        .note{
          padding:10px 0;
        }
        .note ul li{
          width:10vw;
          height:10vw;
        }
        .note ul li img{
          width:100%;
        }
        .note h1{
          text-align:center;
          font-size:3rem;
          line-height:30px;
          margin:10px 0;
        }
        .note h3{
          text-align:center;
          font-size:1.5rem;
          margin:10px 0;
        }
        .note h4{
          text-align:center;
          font-size:1.2rem;
          margin:30px 0 10px 0;
        }
        .quizbox{
          padding-top:40px;
        }
        .quizbox .title {
           font-size:1rem;
           line-height:20px;
         }
         .quizbox .title h4{
           font-size:1rem;
         }  
         .quizbox .level{
          margin:30px auto 0 auto;
         }
         .front-end,.back-end{
           font-size:1.2rem;
           height:25px;
           line-height:20px;
         }
         .stars,.hard{
          font-size:1.3rem;
         }
        .quizbox .navbtn {
          bottom: 20px;
        }
        
        .quizbox .navbtn button {
          padding: 5px 10px;
          font-size: 1rem;
          margin: 0 10px;
          border-radius: 12px;
        }
        #q1,
        #q2,
        #q3,
        #q4 {
        display: inline-block;
        width: 48%;
        height: 38vh;
        }
        }